6.0.0-git
2019-03-18

[#14275] Vacation Recipe for procmail delivers twice on exceptions
Summary Vacation Recipe for procmail delivers twice on exceptions
Queue Ingo
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester Michael.Martin (at) warp-it (dot) com
Created 2016-02-29 (1113 days ago)
Due
Updated 2017-10-20 (514 days ago)
Assigned 2016-03-08 (1105 days ago)
Resolved 2016-04-04 (1078 days ago)
Milestone
Patch Yes

History
2017-10-20 20:33:41 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit f393351fc331ac4b94c721c2d38f3c75cd2a6870
Author: Jan Schneider <jan@horde.org>
Date:   Mon, 04 Apr 2016 12:25:05 +0200

[jan] Don't duplicate messages in Procmail's vacation recipe if 
excluding email addresses (Michael.Martin@warp-it.com, Bug #14275).

  M docs/CHANGES
  M lib/Script/Procmail/Recipe.php
  M package.xml

https://github.com/horde/ingo/commit/f393351fc331ac4b94c721c2d38f3c75cd2a6870
2016-07-29 15:00:18 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit f510cc32b03937d6c6d10848caf7de49f9054bea
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Jul 29 10:57:49 2016 -0400

     Update test for fix of Bug: 14275

  ingo/test/Ingo/Unit/ProcmailTest.php | 2 ++
  1 file changed, 2 insertions(+)

http://github.com/horde/horde/commit/f510cc32b03937d6c6d10848caf7de49f9054bea
2016-04-04 10:39:43 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit ce2c690f933e01eb9c68ccade89daa2d63f00760
Author: Jan Schneider <jan@horde.org>
Date:   Mon Apr 4 12:25:05 2016 +0200

     [jan] Don't duplicate messages in Procmail's vacation recipe if 
excluding email addresses (Michael.Martin@warp-it.com, Bug #14275).

  ingo/lib/Script/Procmail/Recipe.php |    2 ++
  ingo/package.xml                    |   18 +++++++++++++++++-
  2 files changed, 19 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/ce2c690f933e01eb9c68ccade89daa2d63f00760
2016-04-04 10:25:28 Jan Schneider Comment #5
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Thanks!
2016-04-04 10:25:21 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit bfcf6a45872370212b06d786fe0cd272a096c583
Author: Jan Schneider <jan@horde.org>
Date:   Mon Apr 4 12:25:05 2016 +0200

     [jan] Don't duplicate messages in Procmail's vacation recipe if 
excluding email addresses (Michael.Martin@warp-it.com, Bug #14275).

  ingo/docs/CHANGES                   |    2 ++
  ingo/lib/Script/Procmail/Recipe.php |    2 ++
  ingo/package.xml                    |    2 ++
  3 files changed, 6 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/bfcf6a45872370212b06d786fe0cd272a096c583
2016-03-08 13:01:07 Michael (dot) Martin (at) warp-it (dot) com Comment #3
New Attachment: p2.patch Download
Reply to this comment
Did you read the comment above this code, especially the TODO? AFAIU 
we cannot simply remove this because the duplication only happens 
when using the copy-checkbox for the vacation rule.
Oh, I'm sorry,
i somehow messed up the patchfile (reedditing the orig file by hand, 
instead of fetching again)
so i dont't propose to delete the two lines
from the forward rule, but to add them to the VACATION Rule ;-)

so i tested the right file, but applied a wrong patch, and yes, i 
don't propose to change the forward Rule with the TODO...
sorry for the mess

2016-03-08 10:12:35 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Did you read the comment above this code, especially the TODO? AFAIU 
we cannot simply remove this because the duplication only happens when 
using the copy-checkbox for the vacation rule.
2016-02-29 15:22:04 Michael (dot) Martin (at) warp-it (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Vacation Recipe for procmail delivers twice on exceptions
Queue ⇒ Ingo
Milestone ⇒
Patch ⇒ Yes
New Attachment: Recipe.patch Download
Reply to this comment
when a Vacation is active, and an Exception email is given,
the generatet procmail.rc delivers the incoming message twice when 
FROM is the exception email.

Because the Reply sending Block has option copy, the exception rule 
case leads to a default delivery, cause the else is not fired.
  so two fixes come to mind,
- first append a :0 /dev/null to the reply block
- remove the c Copy modifier

i sucessfully tested the
:0
/dev/null

addition and added a patch to this repost

Saved Queries